/*
	Copyright 1999, Be Incorporated.   All Rights Reserved.
	This file may be used under the terms of the Be Sample Code License.
*/
/*
 * Now supports NICs based off the DP83815 chipset 
 * Modified: 12/10/02
 * By: Antonio Carpio
 * E-mail: BolivianTONE@nc.rr.com
 *
 * Notes:
 *	-From my computer the throughput eventually trails and stalls.  No
 *	 clue yet as to why.
 * To-dos:
 *	-Fix KDL visit when you restart the NetServer under certain conditions
 *	-Read configuration in from config file
 *	-Implement readv, writev
 *	-implement multicast hashing
 *	-things not thought of right now
 *
 *	Please send any comments or fixes back to me as this is a running project for me.
 *  I have a few other cards I am also going to be working:
 *		DP83820 based cards
 *		SMC 1244TX
 *		Linksys Etherlink of some sort
 */


#include "generic.h"

static const char TITLE[] = "National Semiconductor DP83815 based network card";
static const char CONFIG[] = "DP83815";
static const char LINK[] = "/dev/net/DP83815";


extern "C" _EXPORT BNetDevice *
open_device(const char *device)
{
	GenericDevice *dev;
	dev = new GenericDevice();
	if (dev->Start(device) < B_NO_ERROR) {
		delete dev;
		return (NULL);
	}
	return (dev);
}

extern "C" _EXPORT BNetConfig *
open_config(const char *device)
{
	return (new GenericConfig(TITLE, CONFIG, LINK));
}

